package com.zjrs.zwnw.dbgl.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.zwnw.dbgl.dto.DbrwglDbrwQueryDTO;
import com.zjrs.zwnw.dbgl.dto.DbrwglExportrwcxDTO;
import com.zjrs.zwnw.dbgl.po.RsdbgldbrwPO;

import java.util.List;
import java.util.Map;

/**
 * @author dagou
 * @date 2022/11/24 18:20
 **/

@Mapper
public interface DbrwjzcxMapper extends BaseMapper<RsdbgldbrwPO> {

    public Page<Map<String, Object>> getDbrwjzcxList(Page<Map<String, Object>> page, DbrwglDbrwQueryDTO dto);

    public List<String> getXbbmList(String rs);

    public List<DbrwglExportrwcxDTO> exportDbrwjzcxList(@Param("dto") DbrwglDbrwQueryDTO dto);

    public Map<String, String> getDictMap(@Param("dto") DbrwglDbrwQueryDTO dto);

    List<Map<String, String>> getNeedSendSMSList();
}
